Ошибка после обновления Debian

12
B
На сайте с 03.08.2007
Offline
82
1642

Обновился на днях до Debian Squeeze (с Lenny), прошло все без видимых осложнений за исключением следующего (см. скриншот).

Собственно, вопрос: что случилось и как лечить? (я еще "чайник" в некоторых тонкостях, поэтому вот и решил перестраховаться и спросить).

S
На сайте с 25.05.2008
Offline
22
#1

если сервер после обновления работает, то чайнику можно на эту ошибку просто забивать

проблема в скрипте ининализации vzquote -- он не поддерживает новую систему зависиместей при загрузке

вообщем на картинтке все подробно расписано

как вариант попросить админов на хостинге внести соостветсвующие изменения в vzquote

PS: а были для обновления каке-то веские причины, или просто так, от нечего делать?

B
На сайте с 03.08.2007
Offline
82
#2
PS: а были для обновления каке-то веские причины, или просто так, от нечего делать?

А я не приверженец фразы "не трогай, если все работает", всегда хочу иметь все самое последнее ПО.

Спасибо за разъяснения.

Andreyka
На сайте с 19.02.2005
Offline
822
#3

Хочешь иметь свежее ПО - будь готов к свжим багам

Не стоит плодить сущности без необходимости
bugsmoran
На сайте с 18.02.2010
Offline
200
#4

У Debian Squeeze появилась какая-то новая навороченная система вместо инит-скриптов.

Придется Вам с ней разобраться. Вроде sysv называется.

А вообще просто впишите недостающие записи LSB в инит-скрипты двух указанных демонов и сделайте dpkg-reconfigure.

Там же все в сообщении написано, как починить.

Pavel.Odintsov
На сайте с 13.05.2009
Offline
169
#5

Я уже сталкивался с таким, когда обновлял набитую софтов систему на Сквиз: http://phpsuxx.blogspot.com/2010/09/debian-ispmanager-lite-lenny-squeeze.html (у меня про вашу проблему написано в разделе "Заканчиваем миграцию на новые версии grub и sysv-rc")

Если сами не разберетесь, пишите в личку, думаю, помогу :)

Решение по обнаружению DDoS атак для хостинг компаний, дата центров и операторов связи: FastNetMon (https://fastnetmon.com)
M
На сайте с 16.09.2009
Offline
278
#6
bncom:
А я не приверженец фразы "не трогай, если все работает", всегда хочу иметь все самое последнее ПО.

Тогда дебиан просто не для вас.

По init-скриптам vz* - убедитесь, что там действительно не локальные изменения.

Абонементное сопровождение серверов (Debian) Отправить личное сообщение (), написать письмо ().
B
На сайте с 03.08.2007
Offline
82
#7

Удалил файл из /etc/init.d/vzquota, скомандовал:

dpkg-reconfigure sysv-rc

и все заработало, согласился на на конвертацию. Появилось "success: Enabled dependency based boot system." Значит все в порядке.

Вопрос в догонку: почему-то при обновлении системы не было обновлено ядро, оно так и осталось старым. Ни кто не скажет, почему? У товарища Pavel.Odintsov (кстати, явл. клиентом FastVPS) почитал в статье, так там было предложено обновить ядро, правда, пришлось немного пошаманить для этого.

Pavel.Odintsov
На сайте с 13.05.2009
Offline
169
#8
Появилось "success: Enabled dependency based boot system." Значит все в порядке.

Ага, так и есть.

А насчет ядра, покажите его версию:

uname -a

А раз наш клиент, то можете написать нам в тикетке, прямо на месте обновим, что требуется :)

B
На сайте с 03.08.2007
Offline
82
#9

Pavel.Odintsov,

Linux sait.ru 2.6.18-128.2.1.el5.028stab064.8 #1 SMP Fri Nov 6 12:26:59 MSK 2009 x86_64 GNU/Linux

А раз наш клиент, то можете написать нам в тикетке, прямо на месте обновим, что требуется

Наверно же не бесплатно? ^_^

Pavel.Odintsov
На сайте с 13.05.2009
Offline
169
#10
bncom:
Pavel.Odintsov,

Linux sait.ru 2.6.18-128.2.1.el5.028stab064.8 #1 SMP Fri Nov 6 12:26:59 MSK 2009 x86_64 GNU/Linux


Наверно же не бесплатно? ^_^

Почти всегда бесплатно :) У Вас VPS? На нем ядро не получится обновить - особенность технологии OpenVZ, ядро для всех общее и от CentOS, полный апгрейд (с переходом на 32е ядро) можно сделать лишь на выделенной машинке :)

12

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий